////////////////////////////////////////////////////////////////////////////////////////

var video_mode = 7; // 800x600 pixels
var video_depth = 32; // 32 bit mode
var video_screen = 1; // start the engine in full screen mode

var a1 = 0; 
var a20 = 0; 
var a31 = 0; 
var a4 = 0; 
var pov = 0; 
var plx = 0; 
var ply = 0; 
var rb = 1;
var blk = 0;
var bbb = 1;
var a15 = 0; 
var a21 = 0; 

var zzz = 0;
var pel = 0;

var avx = 0; 
var avy = 0; 
var avxp = 0; 
var avyp = 0; 

var avp = 0; 
var ygr = 1; 
var yrk = 1; 
var ycb = 1; 

var xb;
var yb;
var bb;

var bl;

var aga = 0;
var rkx = 0;
var rky = 0;
var rcx = 0;
var rcy = 0;
var vrx = 0;
var vry = 0;
var vrp = 0;
var vdx = 0;
var vdy = 0;
var mov = 0;
var vrg = 0;

var vav = 0;

var vp = 6;

var aa;
var x1;

var my_ent [101];
var tek_ent = 0; 
var tek_pro = -40; 
var my_blo [5];

var trace_coords;
string target_mdl = <target.mdl>;
string roket_mdl = <rocket.mdl>;
string eath_mdl = <earth.mdl>;
string mig_mdl = <mig.mdl>;
string bul_mdl = <bullet.mdl>;
string cub_mdl = <cube.mdl>;

string explosion_pcx = <blood+4.pcx>;//<explo+9.pcx>; // explosion sprite
sound grenade_wav = <grenade.wav>; // grenade sound
sound explosion_wav = <explosion.wav>; // explosion sound

function remove_block();
function stenka();
function vavto();
function playboy();
function ggg();
function grenade_explodes();

function remove_granata();
function granata();

function remove_rok();
function move_rok();

include <weapons.wdl>; // include the weapons script

string work32_wmb = <work32.wmb>; 
string map1_wmb = <Map1.wmb>;
string map2_wmb = <Map2.wmb>;
string map3_wmb = <Map3.wmb>;
string map4_wmb = <Map4.wmb>;
string grenade_mdl = <grenade.mdl>; // always define ent_created bullet models as strings!

////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////

define idle 1;
define attacking 2;
define dead 3;
define status skill1;
define health skill10;

////////////////////////////////////////////////////////////////////////////////////////

panel display_ccc
{
	digits (10, 10, 5, _a4font, 1, vav);
	digits (10, 20, 5, _a4font, 1, pel);
	//	digits (10, 30, 5, _a4font, 1, ygr);
	//	digits (10, 40, 5, _a4font, 1, a4);
	//	digits (10, 50, 5, _a4font, 1, blk);
	//	digits (10, 60, 5, _a4font, 1, avx);
	//	digits (10, 70, 5, _a4font, 1, avy);
	//	digits (10, 80, 5, _a4font, 1, avp);
	//	
	layer = 1;
	flags = OVERLAY,VISIBLE;
}

function main()
{
	fps_max = 80; // limit the frame rate to 80 fps
	level_load (work32_wmb);
}

function playboy()
{
	vav-=1;
}

action players_code
{ 

	var aaa;
	var dt;
	var sca;

	aa = 0;
	dt = 0;
	
	player = my; // I'm the player
	my.invisible = on; // no need to see player's model in 1st person mode
	my.enable_impact = on; // the player is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_scan = on;
	my.event = playboy;
	
	aaa = 1;
	while (aaa == 1)
	{		
		if (mov == 0) {
		}
		else {

			if (mov > 1) {
				mov-=1;
			}
			else {			

				sca = c_scan(camera.x,camera.pan,vector(60,60,1000),SCAN_LIMIT | IGNORE_ME);
				
				if (sca > 0) {
					if (you.skill1==1) {
						pel=sca;	
					}
					else { pel=0;
					}
				}
				else {
					pel=0;
				}

				aa -= mouse_force.x; aga = aa;
				c_move (my, nullvector, vector(vp*cos(aa), vp*sin(aa), 0), glide);

				camera.pan = aa;
				my.z += 2*mouse_force.y; camera.z += 2*mouse_force.y;
				if (my.z<=0) { my.z=0; camera.z=0; }
				my.pan = aa;

				vec_set (camera.x, player.x); // use player's x and y for the camera as well

				player.pan = camera.pan; // the camera and the player have the same pan angle
				camera.z += 30;
			}
		}

		wait (1);
	}
}

function remove_block() // this function runs when the bullet collides with something
{
	if (you.skill1==1) {
		my.z+=300;		
		while (1) {
			my.z-=1;
			wait(1);
		}
	}
}

function remove_cub() // this function runs when the bullet collides with something
{

	if ((you.skill5==5) || (you.skill3==1)) {	
		//	wait (1); // wait a frame to be sure (don't trigger engine warnings)
		my.health-=1;
		if (my.health<=0) {		
			ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
			my.passable = on; // the bullets becomes passable and invisible now
			my.invisible = on; // so it can't harm anyone anymore
			sleep (2); // wait until the explosion_sprite() function is over
			ent_remove (my); // and then remove the bullet
			ycb=1;
		}
	}
}

function move_cub()
{
	var bullet_speed; // this var will store the speed of the bullet
	var ct;
	
	my.scale_x=1;
	my.scale_y=1;
	my.scale_z=1;
	//	my.passable = on; // the bullets becomes passable and invisible now
	my.health=3;	
	my.skill3=1;
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks

	my.enable_scan = off;

	my.event = remove_cub; // when it collides with something, its event function (remove_bullets) will run

	vec_set(temp,player.x); 
	vec_sub(temp,my.x);
	vec_to_angle(my.pan,temp); 

	bullet_speed.x = 30 * time; // adjust the speed of the bullet here
	bullet_speed.y = 0; // the bullet doesn't move sideways
	bullet_speed.z = 0; // then don't allow the gravity to have its ways with the bullet
	
	ct=550;
	while (ct>0) // this loop will run for as long as the bullet exists (it isn't "null")
	{
		// move the bullet ignoring the passable entities and store the result in distance_covered
		//		my.z-=3;
		//		if (my.z<player.z) {
			//			my.z=player.z;
		//		}
		//
		ct-=1;
		my.roll+=5;
		
		vec_set(temp,player.x); 
		vec_sub(temp,my.x);
		vec_to_angle(my.pan,temp); 

		c_move (my, bullet_speed, nullvector, ignore_passable);
		wait (1);
	}
	remove_cub();
	
}

function vavto() { 

	var stn;

	if (you.skill3==1) { vav+=1;
		my.z=50;
		
		if ((ycb == 1) && (mov == 1))
		{
			stn.x = my.x;
			stn.y = my.y;
			stn.z = 110;						
			ent_create (cub_mdl, stn, move_cub);
			ycb=0;
		}
		
	}
}

action skill_example
{ 
	var y1;
	var z1;
	var xx;
	var stn;
	var a;
	var xx1;
	var yy1;
	var ent_ki;
	var stn1;
	var pv;

	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks
	my.enable_scan = on; // and to other entities

	my.event = vavto;
	
	randomize(); // starts a initial value

	x1 = 0;
	y1 = 1;
	z1 = 0;
	pv = 1;
	
	xx1 = 0; yy1 = 0;
	z1 = 399;
	my.x = 0; my.y = 0;		
	
	while (1)
	{ 				

		if (my.z>16) { my.z-=1;
		}
		
		c_move (my, nullvector, vector( pv*5*cos(x1), pv*5*sin(x1), 0), glide);

		if (pel >0) {
			
			if ((player.z < 50) && (ygr == 1) && (mov == 1))
			{
				stn.x = my.x;
				stn.y = my.y;
				stn.z = 15;

				ent_create (grenade_mdl, stn, granata);
				ygr = 0;
			}

			if ((player.z > 50) && (yrk == 1) && (mov == 1))
			{
				stn.x = my.x;
				stn.y = my.y;
				stn.z = 100;						
				ent_create (roket_mdl, stn, move_rok);
				yrk=0;
			}
		}		

		avxp = avx;
		avyp = avy;
		
		avx = my.x;
		avy = my.y;
		
		my.pan = x1;
		avp = my.pan;

		if ((abs(my.x-xx1)>z1) || (abs(my.y-yy1)>z1)){
			x1 = x1 + y1;
			//			x1 = 2*int(x1/2);
			a20=0;		
			//			pv=2;
			
			if (abs(x1) >= 360) {
				x1 = 0;
			}		
			xx = abs(x1);

			bb=1;
			xb=x1;
			bbb=y1;
			
			if ((xx==0) || (xx==90) || (xx==180) || (xx==270))
			{
				z1 = 600*int(random(5));

				//				if (zzz==1) { z1=600;
				//				}
				//
				xx1=my.x; yy1=my.y;
				if (random(2) > 1) { y1 = -1; }
				else { y1 = 1; }
				
				rb = 1;
				mov = 1;
				
				if (x1==0) {
					pov=1;
					a = 0;
					while (a<10) {
						stn.x = my.x+600*a;
						stn.y = my.y - 300;
						stn.z = 0;
						
						tek_ent += 1;
						my_ent[tek_ent] = ent_create (map1_wmb, stn, stenka);
						
						a=a+1;
					}
					a = 0;
					while (a<10) {
						stn.x = my.x+600*a;
						stn.y = my.y + 300;
						stn.z = 0;
						
						tek_ent += 1;
						my_ent[tek_ent] = ent_create (map1_wmb, stn, stenka);
						a=a+1;
					}
					vrx=stn.x; vry=stn.y-300;
					vdx=-1; vdy=0;
				}
				if ((x1==90) || (x1==-270)) {
					pov=2;
					a = 0;
					while (a<10) {
						stn.x = my.x + 300;
						stn.y = my.y+600*a;
						stn.z = 0;
						
						tek_ent += 1;					
						my_ent[tek_ent] = ent_create (map2_wmb, stn, stenka);
						
						a=a+1;
					}
					a = 0;
					while (a<10) {
						stn.x = my.x - 300;
						stn.y = my.y+600*a;
						stn.z = 0;
						
						tek_ent += 1;					
						my_ent[tek_ent] = ent_create (map2_wmb, stn, stenka);
						
						a=a+1;
					}
					vrx=stn.x+300; vry=stn.y;
					vdx=0; vdy=-1;
				}
				if (xx==180) {
					pov=3;
					a = 1;
					while (a<11) {
						stn.x = my.x-600*a;
						stn.y = my.y + 300;
						stn.z = 0;
						tek_ent += 1;
						my_ent[tek_ent] = ent_create (map1_wmb, stn, stenka);
						a=a+1;
					}
					
					a = 1;
					while (a<11) {
						stn.x = my.x-600*a;
						stn.y = my.y - 300;
						stn.z = 0;
						
						tek_ent += 1;					
						my_ent[tek_ent] = ent_create (map1_wmb, stn, stenka);
						a=a+1;
					}				
					vrx=stn.x; vry=stn.y+300;
					vdx=1; vdy=0;
				}
				if ((x1==270) || (x1==-90)) {
					pov=4;
					a = 1;
					while (a<11) {
						stn.x = my.x - 300;
						stn.y = my.y-600*a;
						stn.z = 0;
						
						tek_ent += 1;					
						my_ent[tek_ent] = ent_create (map2_wmb, stn, stenka);
						
						a=a+1;
					}
					a = 1;
					while (a<11) {
						stn.x = my.x + 300;
						stn.y = my.y-600*a;
						stn.z = 0;
						
						tek_ent += 1;				
						my_ent[tek_ent] = ent_create (map2_wmb, stn, stenka);
						
						a=a+1;
					}
					vrx=stn.x-300; vry=stn.y;
					vdx=0; vdy=1;
				}
				vrp=my.pan+180;
				
				if (vrg==0)
				{
					vrg=1; //  - . 
					
					if (vrg==1)	{
						mmm();
					}
				}
				if (tek_ent >= 100) { tek_ent = 0; }
				
				if (tek_pro >=0) {
					
					a = 1;
					while (a<=20) {
						tek_pro +=1;
						ent_ki = my_ent[tek_pro];	
						if (ent_ki != NULL) { ent_remove (ent_ki); }
						
						a +=1;
					}
					if (tek_pro >= 100) { tek_pro = 0; }
					
				}
				else { tek_pro +=20;	}
			}			
		}
		else { 
			pv = 1;
			//			if (ygr==1)
			//			{
				//			
				//			a21 = c_trace (my.x, player.x,IGNORE_ME);
				//			if ((a21> 0)  && (you == player))
				//			{
					//				a20=a21;
					//				if (a21 < 700) {
						//
						//					stn.x = my.x-10*(my.x-avxp);
						//					stn.y = my.y-10*(my.y-avyp);
						//					stn.z = my.z;
						//
						//					ent_create (grenade_mdl, stn, granata);
						//					ygr=0;
					//				}
				//			}
				//			else { a20=0; }
			//			}		
			//		
		}		
		wait (1); 
	}
}

function grenade_explodes() // drives the explosion sprite
{
	var plr;
	
	my.passable = on; // the explosion sprite is passable
	my.z += 50; // move the sprite upwards a bit - looks better this way
	my.scale_x = 5; // we scale it up to 2
	my.scale_y = my.scale_x; // on both axis
	my.flare = on; // we set its flare
	my.bright = on; // and bright flags
	my.ambient = 100; // and then we give it an ambient of 100
	my.roll = random(360); // we set a random roll angle for it
	my.transparent = on; // and make it transparent
	my.alpha = 100; // but we set it to be completely opaque for now

	my.enable_scan = off;

	while (my.frame < 15) // go through all the animation frames
	{
		if (c_trace (my.x, player.x,IGNORE_ME | IGNORE_MAPS) < 400) {		
			vp-=0.2;
		}
		my.frame += 1 * time_step; // 1 gives the animation speed
		wait (1);
	}
	while (my.alpha > 0) // now fade the last frame quickly
	{
		my.alpha -= 50 * time_step; // 50 = fading speed
		wait (1);
	}
	vp=6;
	ent_remove (my); // time to remove the explosion sprite
}

function mig_explodes() // drives the explosion sprite
{
	my.passable = on; // the explosion sprite is passable
	my.z += 50; // move the sprite upwards a bit - looks better this way
	my.scale_x = 5; // we scale it up to 2
	my.scale_y = my.scale_x; // on both axis
	my.flare = on; // we set its flare
	my.bright = on; // and bright flags
	my.ambient = 100; // and then we give it an ambient of 100
	my.roll = random(360); // we set a random roll angle for it
	my.transparent = on; // and make it transparent
	my.alpha = 100; // but we set it to be completely opaque for now

	my.enable_scan = off;

	while (my.frame < 15) // go through all the animation frames
	{
		my.frame += 1 * time_step; // 1 gives the animation speed
		wait (1);
	}
	while (my.alpha > 0) // now fade the last frame quickly
	{
		my.alpha -= 50 * time_step; // 50 = fading speed
		wait (1);
	}
	ent_remove (my); // time to remove the explosion sprite
}

function remove_granata()
{
	//	if (you.skill3 != 1) {
		ygr = 1;
		ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
		ent_remove (my);
	//	}
}

function granata()
{	
	var ct;

	my.passable = on; // the bullet is sensitive to impact
	
	//	my.enable_impact = on; // the bullet is sensitive to impact
	//	my.enable_entity = on; // and to other entities
	//	my.enable_block = on; // as well as to level blocks
	//	my.enable_scan = off; // and to other entities
	//	
	//	my.event = remove_granata;
	my.enable_scan = off;

	ct=50;
	while (ct>0)
	{
		my.pan+=10;
		ct-=1;

		a21 = c_trace (my.x, player.x,IGNORE_ME | IGNORE_MAPS);
		
		//			if (a21 < 30)
		//			{ ct=0; }
		//
		wait (1);
	}
	ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
	ent_remove (my);
	ygr=1;
}

function ggg() { 

	var stn;

	stn.x = avx;
	stn.y = avy;
	stn.z = 150; //player.z;

	ent_create (grenade_mdl, stn, granata);
	ygr = 0;
	
}

function remove_raket()
{
	ygr = 1;
	ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
	ent_remove (my);
}

function moverocket()
{ 
	var scn;
	var bullet_speed; // this var will store the speed of the bullet
	var ct;
	
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks

	my.enable_scan = off;

	//	my.event = remove_raket;

	vec_set(temp,player.x); 
	vec_sub(temp,my.x);
	vec_to_angle(my.pan,temp); 

	bullet_speed.x = 10 * time; // adjust the speed of the bullet here
	bullet_speed.y = 0; // the bullet doesn't move sideways
	bullet_speed.z = 0; // then don't allow the gravity to have its ways with the bullet

	ct = 300;
	while (ct > 0)
	{ 				

		scn = c_trace (my.x, player.x,IGNORE_ME);
		
		if ((scn > 0) && (you == player))
		{
			a1=scn;
			
			vec_set(temp,player.x); 
			vec_sub(temp,my.x);
			vec_to_angle(my.pan,temp); 

			c_move (my, bullet_speed, nullvector, ignore_passable);

		}
		ct-=1;			
		
		wait (1); 
	}
	ent_remove (my);
	ygr=1;
}

function rrr() { 

	var stn;

	stn.x = avx;
	stn.y = avy;
	stn.z = 100;

	ent_create (roket_mdl, stn, moverocket);
	ygr = 0;
}

on_r = rrr; 

function moveath()
{ 
	var ct;
	
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks


	ct = 300;
	while (ct > 0)
	{ 				

		my.z -=3;
		ct+=1;			
		
		wait (1); 
	}
	ent_remove (my);

}

function eee() { 

	var stn;

	stn.x = avx;
	stn.y = avy;
	stn.z = 200;

	ent_create (eath_mdl, stn, moveath);

}

on_e = eee; 

function remove_mig()
{
	my.health-=100;
}

function remove_bul() // this function runs when the bullet collides with something
{
	//	wait (1); // wait a frame to be sure (don't trigger engine warnings)
	ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
	my.passable = on; // the bullets becomes passable and invisible now
	my.invisible = on; // so it can't harm anyone anymore
	sleep (2); // wait until the explosion_sprite() function is over
	ent_remove (my); // and then remove the bullet
	ygr=1;
}

function move_bul()
{
	var bullet_speed; // this var will store the speed of the bullet
	var ct;
	
	my.scale_x=10;
	my.scale_y=10;
	my.scale_z=10;
	
	my.skill3=1;
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks

	my.enable_scan = off;

	my.event = remove_bul; // when it collides with something, its event function (remove_bullets) will run
	//	my.pan = vrp; // the bullet has the same pan
	//	my.tilt = camera.tilt; // and tilt with the camera

	vec_set(temp,player.x); 
	vec_sub(temp,my.x);
	vec_to_angle(my.pan,temp); 

	bullet_speed.x = 200 * time; // adjust the speed of the bullet here
	bullet_speed.y = 0; // the bullet doesn't move sideways
	bullet_speed.z = 0; // then don't allow the gravity to have its ways with the bullet
	
	ct=150;
	while (ct>0) // this loop will run for as long as the bullet exists (it isn't "null")
	{
		// move the bullet ignoring the passable entities and store the result in distance_covered
		my.z-=3;
		if (my.z<player.z) {
			my.z=player.z;
		}

		ct-=1;
		
		vec_set(temp,player.x); 
		vec_sub(temp,my.x);
		vec_to_angle(my.pan,temp); 

		c_move (my, bullet_speed, nullvector, ignore_passable);
		wait (1);
	}
	remove_bul();
	
}

function remove_rok() // this function runs when the bullet collides with something
{

	if ((you.skill5==5) || (you.skill3==1)) {	
		//	wait (1); // wait a frame to be sure (don't trigger engine warnings)
		ent_create (explosion_pcx, my.x, grenade_explodes); // create the explosion sprite
		my.passable = on; // the bullets becomes passable and invisible now
		my.invisible = on; // so it can't harm anyone anymore
		sleep (2); // wait until the explosion_sprite() function is over
		ent_remove (my); // and then remove the bullet
		yrk=1;
	}
}

function move_rok()
{
	var bullet_speed; // this var will store the speed of the bullet
	var ct;
	
	my.scale_x=3;
	my.scale_y=3;
	my.scale_z=3;
	//	my.passable = on; // the bullets becomes passable and invisible now
	
	my.skill3=1;
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks

	my.enable_scan = off;

	my.event = remove_rok; // when it collides with something, its event function (remove_bullets) will run

	vec_set(temp,player.x); 
	vec_sub(temp,my.x);
	vec_to_angle(my.pan,temp); 

	bullet_speed.x = 20 * time; // adjust the speed of the bullet here
	bullet_speed.y = 0; // the bullet doesn't move sideways
	bullet_speed.z = 0; // then don't allow the gravity to have its ways with the bullet
	
	ct=550;
	while (ct>0) // this loop will run for as long as the bullet exists (it isn't "null")
	{
		// move the bullet ignoring the passable entities and store the result in distance_covered
		my.z-=3;
		if (my.z<player.z) {
			my.z=player.z;
		}

		ct-=1;
		
		vec_set(temp,player.x); 
		vec_sub(temp,my.x);
		vec_to_angle(my.pan,temp); 

		c_move (my, bullet_speed, nullvector, ignore_passable);
		wait (1);
	}
	remove_rok();
	
}

function movemig()
{ 
	var ct;
	var bullet_speed; // this var will store the speed of the bullet
	var scn;
	var viz;
	var stn;
	
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks

	my.enable_scan = off;

	my.event = remove_mig;

	my.pan = vrp;
	my.health=500;
	
	bullet_speed.x = 100 * time; // adjust the speed of the bullet here
	bullet_speed.y = 0; // the bullet doesn't move sideways
	bullet_speed.z = 0; // then don't allow the gravity to have its ways with the bullet
	
	viz=0;
	ct = 500;
	while (my.health > 0)
	{ 				
		a15=my.health;
		scn = c_trace (my.x, player.x,IGNORE_ME);
		
		if ((scn > 0) && (you == player))
		{
			my.z = player.z;
			c_move (my, bullet_speed, nullvector, ignore_passable);

			if (viz==0) {			
				stn.x = vrx;
				stn.y = vry;
				stn.z = 300;						
				ent_create (bul_mdl, stn, move_bul);
			}
			viz=1;
		}
		//		else {
			//			if (viz==1) { ct=0;
			//			}
		//		}
		my.health-=1;			
		
		wait (1); 
	}
	ent_create (explosion_pcx, my.x, grenade_explodes);
	ent_remove (my);
	vrg=0;
}

function mmm() { 

	var stn;

	stn.x = vrx;
	stn.y = vry;
	stn.z = 50;

	ent_create (mig_mdl, stn, movemig);

}

on_m = mmm; 

action moveavto
{ 
	var a11;
	var stn;
	var wwe;
	
	//	my.enable_impact = on; // the bullet is sensitive to impact
	//	my.enable_entity = on; // and to other entities
	//	my.enable_block = on; // as well as to level blocks
	//	my.enable_scan = off; // and to other entities
	//
	//	my.event = vavto;
	//	
	while (1)
	{ 				

		my.x=avx;
		my.y=avy;
		
		wwe=avp-180;
		my.pan=wwe;
		
		a11=c_trace (my.x, player.x,IGNORE_ME);
		if ((a11 >0) && (you == player)) {
			
			a20=a11;
			if ((a20> 0) && (player.z < 50) && (ygr == 1) && (mov == 1))
			{
				stn.x = my.x;
				stn.y = my.y;
				stn.z = 15;

				ent_create (grenade_mdl, stn, granata);
				ygr = 0;
			}

			if ((a20> 0) && (player.z > 50) && (yrk == 1) && (mov == 1))
			{
				stn.x = my.x;
				stn.y = my.y;
				stn.z = 100;						
				ent_create (roket_mdl, stn, move_rok);
				yrk=0;
			}
		}		
		else { a20=0;
		}
		
		wait (1); 
	}

}

action planeta
{ 
	
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks
	my.enable_scan = off; // and to other entities

	while (1)
	{ 				
		if ((avx - plx) > 500) { plx += 500; my.x = plx; rkx=500; rcx=500; }
		if ((avx - plx) < -500) { plx -= 500; my.x = plx; rkx=-500; rcx=-500; }
		if ((avy - ply) > 500) { ply += 500; my.y = ply; rky=500; rcy=500; }
		if ((avy - ply) < -500) { ply -= 500; my.y = ply; rky=-500; rcy=-500; }

		
		wait (1); 
	}

}

function stenka()
{	
	my.enable_impact = on; // the bullet is sensitive to impact
	my.enable_entity = on; // and to other entities
	my.enable_block = on; // as well as to level blocks
	my.skill2 = 1;
	my.enable_scan = on; // and to other entities
	
	my.event = remove_block;

	while (my != null)
	{
		wait (1);
	}
}
